import { createApp } from 'vue';
import pinia from '/@/stores/index';
import App from '/@/App.vue';
import router from '/@/router/index';
import { directive } from '/@/directive/index';
import { i18n } from '/@/i18n/index';
import other from '/@/utils/other';
import '@amap/amap-jsapi-types';
import '/@/extend';
import YWIcon from '/@/components/icon/index.vue';

import ElementPlus from 'element-plus';
import '/@/theme/index.scss';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';
import { gotoRoute } from '/@/utils/route';

const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
	app.component(key, component);
}
directive(app);
other.elSvg(app);
app.component('YWIcon', YWIcon);
app.use(pinia).use(router).use(ElementPlus).use(i18n).mount('#app');

window.openPage = (name, siteId) => {
	if (siteId) {
		window.moduleConfig.comprehensive.logicSite.defaultSelectID = siteId;
	}
	gotoRoute({ name });
};
